Переполнение буфера в Mac OS X ftpd

Дата публикации:
07.12.2006
Дата изменения:
24.03.2009
Всего просмотров:
1531
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apple Macintosh OS X
Уязвимые версии: Apple Macintosh OS X 10.3.9 и 10.4.8, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных ftpd при обработке команд, содержащих символ "*". Удаленный пользователь может вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.apple.com/macosx/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA